Ubuntu

[drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M GART size (because of ASIC bug ?)

Reported by Lollerke on 2010-04-14
340
This bug affects 67 people
Affects Status Importance Assigned to Milestone
Baltix
Undecided
Unassigned
linux (Ubuntu)
Medium
Andy Whitcroft
Nominated for Lucid by Asier Sarasua Garmendia
Maverick
Medium
Unassigned

Bug Description

Rarely boot hangs with this message on the screen,but it's always in the logs even if everything works perfectly.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-20-generic 2.6.32-20.30
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-20.30-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-20-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: ALC861-VD Analog [ALC861-VD Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: ALC861-VD Analog [ALC861-VD Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: balazs 1301 F.... pulseaudio
CRDA: Error: [Errno 2] Nincs ilyen fájl vagy könyvtár
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xc0400000 irq 16'
   Mixer name : 'Realtek ALC861-VD'
   Components : 'HDA:10ec0862,1179820d,00100001 HDA:11c11040,11790001,00100200'
   Controls : 18
   Simple ctrls : 11
CurrentDmesg: [ 13.000774] ppdev: user-space parallel port driver
Date: Wed Apr 14 10:04:07 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
Lsusb:
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 003: ID 0603:00f2 Novatek Microelectronics Corp.
 Bus 002 Device 002: ID 0458:003a KYE Systems Corp. (Mouse Systems)
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: TOSHIBA Satellite L30
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-20-generic root=UUID=51c7e128-fb3a-4af4-8f1a-a46072fc86dc ro quiet splash
ProcEnviron:
 LANG=hu_HU.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.33
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 08/17/2007
dmi.bios.vendor: TOSHIBA
dmi.bios.version: V3.00
dmi.board.name: Satellite L30
dmi.board.vendor: TOSHIBA
dmi.board.version: Not Applicable
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnTOSHIBA:bvrV3.00:bd08/17/2007:svnTOSHIBA:pnSatelliteL30:pvrPSL33E-00E00XHU:rvnTOSHIBA:rnSatelliteL30:rvrNotApplicable:cvnTOSHIBA:ct10:cvrN/A:
dmi.product.name: Satellite L30
dmi.product.version: PSL33E-00E00XHU
dmi.sys.vendor: TOSHIBA

Lollerke (pumba88) wrote :
Juan Carlos (arareka-ha) wrote :

Hi, I note this boot hangs when installed Alpha1.
Now I installed a fresh BETA2 and this bug still there. After the hangs the boot is working normally and fast.

Juan Carlos (arareka-ha) wrote :

Here is my dmesg.0

Eric Zurcher (eric-zurcher) wrote :

I'm also seeing this using Lucid Beta, with the Radeon Xpress 200 chipeset and the open source driver.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Lollerke,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Lollerke (pumba88) wrote :

The latest kernel doesn't solve the problem.

Lollerke (pumba88) wrote :

If I boot with "radeon.modeset=0" the error message doesn't show up,but I caught this error (it showed up only once out of ~15 boot).

tags: removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Medium
mp (m-p) wrote :

This error message also occurs in the final release - running Live-CD:

[drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M GART size (because of ASIC bug ?)

Hi. I have the Radeon Xpress 200 chipset and the open source driver too. Same problem. Just updated from Karmic to Lucid.

Dixon Dick (dixon1e) wrote :

I have a Dell 131L laptop, ATI Radeon Xpress 1150, 256MB Video RAM with something that seems to be this same problem.

I installed Lucid AMD 64 Server, and chose the UEC Install. Everything went fine, the unit came up with the login after the full install.

However, upon boot the first reboot, the aforementioned message flashes by very quickly, and then the screen fills with thin, colored vertical lines. It's not clear of the system is continuing to boot, but it seems like it just locks up and that's that.

[ 10.057729] [drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M GART size (because of ASIC bug ?)

I only caught the message by making a video of it and freezing the frame.

Same issue for me. Since installing Lucid the error message has
persisted and so far one boot failure (out of a total of 5 so far) has
occurred in a way very similar to what is described here.

lspci + dmesg attached

On 02/05/10 08:47, Dixon Dick wrote:
> I have a Dell 131L laptop, ATI Radeon Xpress 1150, 256MB Video RAM with
> something that seems to be this same problem.
>
> I installed Lucid AMD 64 Server, and chose the UEC Install. Everything
> went fine, the unit came up with the login after the full install.
>
> However, upon boot the first reboot, the aforementioned message flashes
> by very quickly, and then the screen fills with thin, colored vertical
> lines. It's not clear of the system is continuing to boot, but it
> seems like it just locks up and that's that.
>
> [ 10.057729] [drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M GART
> size (because of ASIC bug ?)
>
> I only caught the message by making a video of it and freezing the
> frame.
>

George J (kosmovinyl) on 2010-05-06
Changed in linux (Ubuntu):
status: Triaged → Fix Committed
status: Fix Committed → Confirmed

Sorry - total n00b - accidentally changed status and can't seem to get it back to original "triaged" state. Sorry!

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

George J,
     No problem, it still happens to me sometimes. I've fixed it.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: Incomplete → Triaged
Dave Gilbert (ubuntu-treblig) wrote :

From the kernel source (a 2.6.34-rc3 actually, not the current ubuntu)

------------------
  if (rdev->family == CHIP_RS400 || rdev->family == CHIP_RS480) {
                /* FIXME: RS400 & RS480 seems to have issue with GART size
                 * if 4G of system memory (needs more testing) */
                rdev->mc.gtt_size = 32 * 1024 * 1024;
                DRM_ERROR("Forcing to 32M GART size (because of ASIC bug ?)\n");
--------------------

Tony Pursell (ajpursell) wrote :

I cannot boot at all with this bug (after upgrade to Lucid) - can we bump up the importance? (BTW I only have 1G of memory)

Dixon Dick (dixon1e) wrote :

Further information. My Dell 131L has 1GB RAM, and I was able to successfully use the "radeon.modeset=0" fix in grub.cfg. Specifically:

- go to /boot/grub/grub.cfg
- make a copy of this file somewhere safe in case you mess up your edit!
- find the line with your preferred kernel, it probably has the word "quiet" in the options
- add "radeon.modeset=0" to the list of options (I added mine right after "quiet")
- save your grub.cfg

That's it. When you boot next, the Radeon will not try to change to a higher resolution mode. Thus your terminal (if you are doing this on "Lucid Server") will have big fat characters instead of nice clean smaller ones. Oh well.

As a bonus, I added "splash" to my list of kernel options to prove to myself I was using a machine with this update during boot (I am working on several machines at once).

For some weird reason, of 3 Dell 131L laptops of exactly the same spec and BIOS and with this exact same software installation, only one of them fails every time to boot. Nevertheless, I put this fix in all of them.

Tony Pursell (ajpursell) wrote :

Thanks for that suggestion. Unfortunately, I have already tried it. The result is my monitor gives the message "Input signal out of range - change setting to 1280 x 1024 - 60Hz" and goes to sleep. So I don't know if it boots or not, but if it does boot, I cannot see anything to log in.

For the record, my PC is a HP Pavilion i3510uk desktop with ATI Radeon Xpress 200 graphics and an HPvs17x monitor.

Perhaps there is a workaround. After all, I can boot Lucid off a USB stick. I can do stuff because I can get into console session (CLI only) using an old kernel. Kernels

2.6.32-22
2.6.32-21
2.6.31-21

don't boot at all (not even in recovery mode)

2.6.27.11

boots in normal mode to a login, but there is no functioning mouse or keyboard. In recovery mode, I can get a root command line and a user login command line.

djalonen (djalonen) wrote :

Thanks, Dixon Dick. Solved my problem.
Using Radeon Xpress 200 IGP and AMD 64 w/ Lucid.

Dixon Dick (dixon1e) wrote :

Tony Pursell,

That's weird. Hmmm... I would've thought "modset=0" would have defaulted to 640x480, not 1024 ...

One more thing then. When you start the system, make sure the parameters are actually being taken by the kernel. I suggest you do this by hand with Grub.

To do this:

- as the system boots, hold down the SHIFT key
- the Grub menu comes up, cursor to the default (not recovery) kernel
- hit the "e" to edit this
- well, in any case you should see if the "radeon.modeset=0" thing is there
- type this in if not
- also add "splash" as another parameter so you can see a splash screen go by
- hit CTRL-X to boot from here ( and NO you can't save the changes at this time)
- you should go to a 640x480 SPLASH initially
- in my case, then you get a terminal prompt

Now, to be sure, I am running a server. My machine does not try to start X. There may be some further problem. What I'm suggesting here is you determine whether it is a Grub problem, or an X problem further on.

Cheers.

Lollerke (pumba88) wrote :

I get this message with the 2.6.34 kernel too.

Juan Carlos (arareka-ha) wrote :

I installed Karmic on another partition, and the dmsg0.txt show the same error.
The different is that on Lucid the message appear at boot, and with Karmic is hide.

Regards

Neil Katz (nkatzubuntu) wrote :

I get the error (sometimes) when I boot up, before the splash screen would normally appear. At this point, my only option is to hold the power button down to power down, and to re-start. At this time, as often as not, I get a good boot, although it does appear that the same message is flashing on my scree, followed immediately by the Ubuntu splash screen. The exact message last time (this morning) was:

[16.994948] [drm:rs400_gart_adjust_size] *error* FORCING TO 32M GART SIZE (because of ASIC BUG?)

Ubuntu 10.4
From xorg.0.log - ATI Technologies Inc RC410 [Radeon Xpress 200M]

This is more a pain in the --- than anything else, especially since Ubuntu is not my primary O/S (dual partitioned with Win 7), but it appears that many people have this problem and it would be nice if a fix could be found sooner than later.

+1 to Dixon, thank you for the quick-fix.
I'm using a Dell Inspiron 1501 with ATI Xpress 1150.

What a nightmare, didn't even know what to search for with this one, "Ubuntu 10.04 boot videocard crash colored lines" finally got me to this thread. I couldn't even get the boot options up before the crash, tried the usual "esc", "ctrl+alt+F1", etc, didn't know you had to hold down Shift now.

Hope we can get a proper fix pushed out soon; yes, one of us can hunt down this thread and figure out what changes to make, but someone new to the amazing world of Ubuntu probably wouldn't and we don't want their first experience to be like this.

Lollerke (pumba88) on 2010-06-07
summary: - [Lucid] [drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M GART size
- (because of ASIC bug ?)
+ [Lucid][Maverick] [drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M
+ GART size (because of ASIC bug ?)

I guess I am now the number 30 user who has this problem. I posted earlier at http://ubuntuforums.org/showthread.php?t=1507586 I was referred here. For the time being I decided against playing around with grub.cfg hoping that an update may solve this problem. It seams that the problem is slowly getting smaller (I only get it now once every 4 or 5 startups).

One thing that may or may not be related is that in the same computer and on a separate HD I have UBUNTU 9.10 installed which has its own grub.cfg (9.10 was installed before 10.04 and in the location that 10.04 is now I had before ArtistX which is an UBUNTU 8.10, 10.04 was installed over ArtistX and made its own grub.cfg). Should I delete the grub.cfg under 9.10??

I read an article under UBUNTU on how to replace grub2 with grub legacy and I am tempted to try it, any suggestions?

Costas

Hi,
I have turned off the swap in the /etc/ftab.
Then I could boot.
If I turne the swap on again, then the error comes back
Maybe my workaround helps to find the reason of the error
many greetings
Christian

I have this issue in a Pentium D 3 GHz with HT, 512 MB RAM ATI Radeon X200, a very generic desktop PC.... here is my boot hang photo...

Forgot to say that it happened in Lucid (i386) official release up to date... is this a kernel issue?

Lollerke (pumba88) wrote :

Yes,its a kernel issue.

Hi,
I also have this same error, tried 32/64/128/256 VRAM in BIOS still the error is there. Several times PC is freeze and doesn't proceeds on. And sometimes even after the error everything is fine. I am facing bad rendering in Firefox/Thunderbird. I wonder if this issue is causing the problem. I have also update my packages on daily basis. Kernel: 2.6.32-23-generic #37-Ubuntu SMP

Ops I forgot to include my PC specs, Its Pentium 4, motherboard Intel D101GGC and I use integrated GPU. Using Lucid Lynx 10.04.

papukaija (papukaija) on 2010-07-26
tags: added: maverick
summary: - [Lucid][Maverick] [drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M
- GART size (because of ASIC bug ?)
+ [drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M GART size (because
+ of ASIC bug ?)
GrahamR (grahamriley) wrote :

Me too. Radeon Xpress M200 with 128 dedicated and 128 shared memory in BIOS. PC is HP Pavilion zv6000 running Ubuntu AMD64 10.04. Bad behavior noted for Google Earth zooming - radial lines broken map segments - not sure if related.

lazenge (ecanus) wrote :

same issue on my laptop Toshiba Satellite LS33 Ubuntu Lucid 32

Romain Liard (romainliard) wrote :

Radeon Xpress M200; same bug with google earth, and same forcing when i try to run any game needing 3D acceleration.
Don't know if related.

lazenge (ecanus) wrote :

fix that works for me:

in /etc/default/grub

add radeon.modeset=0 to GRUB_CMDLINE_LINUX_DEFAULT

then sudo update-grub2

RavanH (ravanhagen) wrote :

=====
add radeon.modeset=0 to GRUB_CMDLINE_LINUX_DEFAULT
=====

Yep, that cleared the error from the log files :)

Cannot say if it fixes boot hangs since I have not seen those since ages... Not sure what else it changes except that Google Earth won't start at all now but that program was useless on my Radeo Xpress 200M using open source radeon driver anyway ;)

Lollerke (pumba88) wrote :

This message is still in the logs with todays Maverick Daily Live CD (linux-image-2.6.35-19.26-generic,libdrm (2.4.21-1ubuntu2).

Fernando (fencore) wrote :

I get zero 3d acceleration on my xpress200 and random hangs up. this thing has turned my lucid completely unstable and really can't rely on it. It's really sad and had to switch to WXP again until there's a real solution.

tags: added: iso-testing
Sergio Zanchetta (primes2h) wrote :

I confirm it using Maverick Beta (09-09-2010 daily build).

In Maverick the situation is even worse.
Using a live cd I get a black screen and only the mouse pointer is visible.

Moreover I can't use apport-collect from tty1 because of this bug #628755.

Sergio Zanchetta (primes2h) wrote :

Could someone open a Maverick task please?

Sergio Zanchetta (primes2h) wrote :

I explain better what happens using Maverick Beta (15-09-2010 build) live cd.

1) Ubiquity appears.
2) I select Try Ubuntu
3) I get a black screen with only the mouse pointer visible.

Sergio Zanchetta (primes2h) wrote :

I opened a new bug report using ubuntu-bug providing all the necessary info for Maverick. Bug #638831

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 3604 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'IXP'/'ATI IXP rev 2 with AD1986 at 0xfebfcc00, irq 17'
   Mixer name : 'Analog Devices AD1986'
   Components : 'AC97a:41445378'
   Controls : 44
   Simple ctrls : 32
Card1.Amixer.info:
 Card hw:1 'Modem'/'ATI IXP Modem rev 2 at 0xfebfc800, irq 17'
   Mixer name : 'Conexant id 23'
   Components : 'AC97m:43585423'
   Controls : 2
   Simple ctrls : 2
Card1.Codecs.codec97.0.mc97.1.1:
 1-1/0: Conexant id 23

 Extended modem ID: codec=1 LIN1
 Modem status : PRA(GPIO) PRB(res) PRC(ADC1) PRD(DAC1) PRE(ADC2) PRF(DAC2) PRG(HADC) PRH(HDAC)
 Line1 rate : 8000Hz
DistroRelease: Ubuntu 10.10
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100914)
Lsusb:
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 002: ID 0930:6545 Toshiba Corp. Kingston DataTraveler 2.0 Stick (4GB) / PNY Attache 4GB Stick
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK Computer Inc. A6R
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz noprompt cdrom-detect/try-usb=true persistent file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcEnviron:
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-20.29-generic 2.6.35.4
Regression: No
RelatedPackageVersions: linux-firmware 1.38
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
StagingDrivers: ramzswap
Tags: maverick kernel-graphics needs-upstream-testing staging
Title: [STAGING]
Uname: Linux 2.6.35-20-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 02/06/2006
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 210
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: A6R
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr210:bd02/06/2006:svnASUSTeKComputerInc.:pnA6R:pvr1.0:rvnASUSTeKComputerInc.:rnA6R:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: A6R
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Sergio Zanchetta (primes2h) wrote :

I'm so sorry, I was testing apport about the apport-collect bug and I didn't realize my credentials were still stored (using live usb).
I deleted all attachments of mine, they are on the other bug as I commented before.

Sean Rhinehart (seanrhinehart) wrote :

I have this issue on a Dell Optiplex 320. The PC's apport data is already attached to bug #640885.

Sergio Zanchetta (primes2h) wrote :

@Sean
Bug #640885 is about a video capture card.
Your issue is different.

You are correct. However, since both issues occurred on the same PC, I did
not want to waste space by attaching the apport info twice.

On Fri, Sep 17, 2010 at 12:56 AM, Sergio Zanchetta <email address hidden>wrote:

> @Sean
> Bug #640885 is about a video capture card.
> Your issue is different.
>
>

Albakry (albakry) wrote :

This problem continues with Lucid Lynx, the system startup is painfully slow and i have the same issue with zooming in google Earth.
I'm interested to see someone who succeeded to fix that.

- Ubuntu 10.04.1 LTS
- Kernel version:
2.6.32-25-generic
- Graphic card:
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon XPRESS 200M 5955 (PCIE)
- Error message "dmesg | grep error" :
[ 92.470698] [drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M GART size (because of ASIC bug ?)

mp (m-p) wrote :

Exists in Maverick:

~$ dmesg|grep gart

[ 4.277622] Linux agpgart interface v0.103
[ 5.184643] [drm:rs400_gart_adjust_size] *ERROR* Forcing to 32M GART size (because of ASIC bug ?)

mp (m-p) wrote : apport information

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2929 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xffaf8000 irq 41'
   Mixer name : 'Realtek ALC262'
   Components : 'HDA:10ec0262,11790500,00100100 HDA:11c13026,11790001,00100700'
   Controls : 22
   Simple ctrls : 15
CurrentDmesg:
 [ 91.520041] eth0: no IPv6 routers present
 [ 699.803199] process `skype' is using obsolete setsockopt SO_BSDCOMPAT
DistroRelease: Ubuntu 10.10
Frequency: Once every few days.
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
Lsusb:
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 002: ID 413c:3010 Dell Computer Corp. Optical Wheel Mouse
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 003: ID 059b:0275 Iomega Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: TOSHIBA Satellite Pro A120
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Regression: No
RelatedPackageVersions: linux-firmware 1.38
Reproducible: No
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: maverick kernel-graphics needs-upstream-testing
Uname: Linux 2.6.35-22-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 02/28/2007
dmi.bios.vendor: TOSHIBA
dmi.bios.version: Version 3.30
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Version A0
dmi.chassis.asset.tag: 0000000000
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: Version 1.0
dmi.modalias: dmi:bvnTOSHIBA:bvrVersion3.30:bd02/28/2007:svnTOSHIBA:pnSatelliteProA120:pvrPSAC0E-035014EN:rvnTOSHIBA:rnPortablePC:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
dmi.product.name: Satellite Pro A120
dmi.product.version: PSAC0E-035014EN
dmi.sys.vendor: TOSHIBA

mp (m-p) wrote : AcpiTables.txt

apport information

mp (m-p) wrote : AlsaDevices.txt

apport information

mp (m-p) wrote : AplayDevices.txt

apport information

mp (m-p) wrote : ArecordDevices.txt

apport information

mp (m-p) wrote : BootDmesg.txt

apport information

apport information

apport information

apport information

mp (m-p) wrote : IwConfig.txt

apport information

mp (m-p) wrote : Lspci.txt

apport information

mp (m-p) wrote : PciMultimedia.txt

apport information

mp (m-p) wrote : ProcCpuinfo.txt

apport information

mp (m-p) wrote : ProcInterrupts.txt

apport information

mp (m-p) wrote : ProcModules.txt

apport information

mp (m-p) wrote : UdevDb.txt

apport information

mp (m-p) wrote : UdevLog.txt

apport information

mp (m-p) wrote : WifiSyslog.txt

apport information

I am getting the "rs400_gart_adjust_size *ERROR*" on a laptop with a Radeon Xpress 1100 and was trying to track down problems I am having. Searching upstream references I found a mailing list posting saying the error message is misleading: http://comments.gmane.org/gmane.comp.freedesktop.xorg.drivers.ati/14505

According to that posting, the message should be rewritten as an informational message rather than a warning. So the fact that we are seeing this message under various circumstances may be a red herring.

Ashley Dean (redspud) wrote :

Hello, new person here.

This bug is affecting me too, on both an upgrade and clean install of 10.04.1. I also have to deactivate all desktop effects (they are usually set to normal) so the machine is usable, but once I've done that, it is stable.
Had the coloured bars/distortion before log-in screen with the upgrade but haven't seen it so far on this clean install.

My system is a Toshiba Equium M50-244 laptop, 1.40ghz Celeron, 1gb RAM, ATI RC410 Radeon Xpress 200M video card.

Hello, same problem with Dell 320 with fresh and updated install of ubuntu 10.04.1. Kernel hangs sometimes at boot, desktop effects make color distortions. Had to deactivate all desktop effects and add "pci=nomsi radeon.modeset=0" parameters to grub.

00:00.0 Host bridge: ATI Technologies Inc Radeon Xpress 200 Host Bridge (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 13)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200]
02:09.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)

Andy Whitcroft (apw) wrote :

It seems the trigger for the message for which this bug is titled has been cleaned up and improved in the latest kernels. This should allow the driver to use the size listed in the BIOS. This should clear up the error message in the majority of cases. The fix is in the latest Natty kernels. Could those affected by this bug test the latest Natty LiveCD and see if there are still issues there. Please report back here.

It should be noted, that it is not at all clear that this error message is anything other than informative and quite possibly just the last thing before a hang.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Lollerke (pumba88) wrote :

I tried the latest natty kernel with maverick and this message never appears.

Andy Whitcroft (apw) on 2011-02-11
Changed in linux (Ubuntu):
status: Incomplete → Triaged
assignee: nobody → Andy Whitcroft (apw)
Changed in linux (Ubuntu Maverick):
status: New → Triaged
Changed in linux (Ubuntu):
status: Triaged → Fix Released

I tried the developing version of Natty 11.04 OS as a LiveCD. I then used dmesg | grep GART and this message no longer comes up. Dell Inspiron 1501.

Changed in linux (Ubuntu Maverick):
importance: Undecided → Medium
karym (bmwclubegypt) wrote :

Same issue here I am using ASUS F5RLseries.
Ubuntu 10.04.1 LTS \n \l

Ronald Montenegro (rodmontgt) wrote :

Same here, using a HP DX2200MT with Ubuntu Server 10.04, so the problem is related to Video Card? as I see ATI Radeon Xpress 200

Julian Wiedmann (jwiedmann) wrote :

This release has reached end-of-life [0].

[0] https://wiki.ubuntu.com/Releases

Changed in linux (Ubuntu Maverick):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions